Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui.rastermap
Class RasterMapOverlay

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.bbn.openmap.Layer
                      org.ka2ddo.yaac.gui.rastermap.RasterMapOverlay

All Implemented Interfaces:
  MapMouseListener, ProjectionListener, ProjectionPainter, PropertyConsumer, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.KeyListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.lang.Runnable, java.util.EventListener

    public class RasterMapOverlay

extends Layer
implements java.awt.event.ComponentListener, java.lang.Runnable, MapMouseListener, java.awt.event.KeyListener

This class renders raster maps properly rescaled and translated to fit into the Mercator projection used by the MapBean.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static SelectMouseMode` | `YAAC_RASTER_MODE`
`static java.lang.String` | `YAAC_RASTER_PIN_MODE`

Fields inherited from class com.bbn.openmap.Layer
`addAsBackground, AddAsBackgroundProperty, addToBeanContext, AddToBeanContextProperty, attributes, autoPalette, AutoPaletteProperty, beanContextChildSupport, coordTransform, DataPathPrefixProperty, DisplayPaletteCmd, DisplayPropertiesCmd, doHack, HidePaletteCmd, i18n, localHackList, maxScale, MaxScaleProperty, minScale, MinScaleProperty, palette, paletteListener, PrettyNameProperty, propertyPrefix, RedrawCmd, removable, RemovableProperty, SWING_PACKAGE, TransformProperty, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RasterMapOverlay(MouseDelegator mouseDelegator)`

Method Summary
`void` | `componentHidden(java.awt.event.ComponentEvent e)`
`void` | `componentMoved(java.awt.event.ComponentEvent e)`
`void` | `componentResized(java.awt.event.ComponentEvent e)`
`void` | `componentShown(java.awt.event.ComponentEvent e)`
`MapMouseListener` | `getMapMouseListener()`
`java.lang.String[]` | `getMouseModeServiceList()`
`boolean` | `isShowRasterMaps()`
`void` | `keyPressed(java.awt.event.KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(java.awt.event.KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(java.awt.event.KeyEvent e)` Invoked when a key has been typed.
`boolean` | `mouseClicked(java.awt.event.MouseEvent mouseEvent)`
`boolean` | `mouseDragged(java.awt.event.MouseEvent mouseEvent)`
`void` | `mouseEntered(java.awt.event.MouseEvent mouseEvent)`
`void` | `mouseExited(java.awt.event.MouseEvent mouseEvent)`
`void` | `mouseMoved()`
`boolean` | `mouseMoved(java.awt.event.MouseEvent mouseEvent)`
`boolean` | `mousePressed(java.awt.event.MouseEvent mouseEvent)`
`boolean` | `mouseReleased(java.awt.event.MouseEvent mouseEvent)`
`protected void` | `paintComponent(java.awt.Graphics g)`
`void` | `projectionChanged(ProjectionEvent e)`
`void` | `registerMouseMode(MouseDelegator mouseDelegator)`
`void` | `repaint()` Repaints this component.
`void` | `run()`
`void` | `setPinningRasterMapEntry(RasterMapEntry pinningRME)`
`void` | `setShowRasterMaps(boolean showRasterMaps)`
`void` | `startRegenerate()`
`void` | `stopRegenerate(int offsetX, int offsetY)`
`RasterMapEntry` | `unsetPinningRasterMapEntry()` Complete a raster pinning operation.

Methods inherited from class com.bbn.openmap.Layer
`actionPerformed, addComponentListener, added, addInfoDisplayListener, addLayerStatusListener, addMouseListener, addVetoableChangeListener, childrenAdded, childrenRemoved, clearListeners, connectToBeanContext, createWindowSupport, disconnectFromBeanContext, dispose, finalize, findAndInit, findAndInit, findAndUndo, fireHideToolTip, firePaletteEvent, fireRequestBrowserContent, fireRequestBrowserContent, fireRequestCursor, fireRequestInfoLine, fireRequestInfoLine, fireRequestInfoLine, fireRequestMessage, fireRequestMessage, fireRequestToolTip, fireRequestToolTip, fireRequestURL, fireRequestURL, fireStatusUpdate, fireStatusUpdate, fireVetoableChange, getAddAsBackground, getAddToBeanContext, getAttribute, getBeanContext, getCoordTransform, getGUI, getIcon, getMaxScale, getMinScale, getPackage, getPalette, getProjection, getProperties, getPropertyInfo, getPropertyPrefix, getWindowSupport, hasGUI, hidePalette, isAutoPalette, isProjectionOK, isRemovable, notifyHideHack, prependDataPathPrefix, putAttribute, removeComponentListener, removeConfirmed, removed, removeInfoDisplayListener, removeLayerStatusListener, removeVetoableChangeListener, renderDataForProjection, repaint, resetPalette, setAddAsBackground, setAddToBeanContext, setAutoPalette, setBeanContext, setCoordTransform, setIcon, setLayerProperties, setMaxScale, setMinScale, setName, setPaletteVisible, setProjection, setProjection, setProperties, setProperties, setPropertyPrefix, setRemovable, setVisible, setWindowSupport, showPalette`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### YAAC_RASTER_PIN_MODE

    public static final java.lang.String YAAC_RASTER_PIN_MODE

See Also:
  Constant Field Values

### YAAC_RASTER_MODE

    public static final SelectMouseMode YAAC_RASTER_MODE

Constructor Detail

### RasterMapOverlay

    public RasterMapOverlay(MouseDelegator mouseDelegator)

Method Detail

### registerMouseMode

    public void registerMouseMode(MouseDelegator mouseDelegator)

### isShowRasterMaps

    public boolean isShowRasterMaps()

### setShowRasterMaps

    public void setShowRasterMaps(boolean showRasterMaps)

### unsetPinningRasterMapEntry

    public RasterMapEntry unsetPinningRasterMapEntry()

  Complete a raster pinning operation.

  Returns:
    the pinned RasterMapEntry

### setPinningRasterMapEntry

    public void setPinningRasterMapEntry(RasterMapEntry pinningRME)

### projectionChanged

    public void projectionChanged(ProjectionEvent e)

  Specified by:
    `projectionChanged` in interface `ProjectionListener`

### paintComponent

    protected void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

### stopRegenerate

    public void stopRegenerate(int offsetX,
                               int offsetY)

### startRegenerate

    public void startRegenerate()

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### getMapMouseListener

    public MapMouseListener getMapMouseListener()

  Overrides:
    `getMapMouseListener` in class `Layer`

### getMouseModeServiceList

    public java.lang.String[] getMouseModeServiceList()

  Specified by:
    `getMouseModeServiceList` in interface `MapMouseListener`

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mousePressed` in interface `MapMouseListener`

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseReleased` in interface `MapMouseListener`

### mouseClicked

    public boolean mouseClicked(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseClicked` in interface `MapMouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseEntered` in interface `MapMouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseExited` in interface `MapMouseListener`

### mouseDragged

    public boolean mouseDragged(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseDragged` in interface `MapMouseListener`

### mouseMoved

    public boolean mouseMoved(java.awt.event.MouseEvent mouseEvent)

  Specified by:
    `mouseMoved` in interface `MapMouseListener`

### mouseMoved

    public void mouseMoved()

  Specified by:
    `mouseMoved` in interface `MapMouseListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Invoked when a key has been pressed. See the class description for `KeyEvent` for a definition of a key pressed event.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Invoked when a key has been typed. See the class description for `KeyEvent` for a definition of a key typed event.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Invoked when a key has been released. See the class description for `KeyEvent` for a definition of a key released event.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### repaint

    public void repaint()

  Repaints this component.

  Overrides:
    `repaint` in class `java.awt.Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD